<app-toolbar></app-toolbar>
<div class="container">
  <form
    class="mat-elevation-z2"
    [formGroup]="gameForm"
    (ngSubmit)="onFormSubmit()"
  >
    <h1>Game Setup</h1>
    <button
      mat-stroked-button
      color="primary"
      (click)="installPwa()"
      *ngIf="!appInstalled"
      type="button"
    >
      Install This App
    </button>
    <mat-form-field appearance="outline">
      <mat-label>Choose a Game</mat-label>
      <mat-select placeholder="Pick one" formControlName="gamePath">
        <mat-option *ngFor="let game of games" [value]="game.path">
          {{ game.label }}
        </mat-option>
      </mat-select>
      <mat-error>This is required.</mat-error>
      <mat-hint>Type of game you will play</mat-hint>
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>Choose a timer</mat-label>
      <mat-select placeholder="Pick one" formControlName="timer">
        <mat-option *ngFor="let timer of timerOptions" [value]="timer">
          {{ timer }}
        </mat-option>
      </mat-select>
      <mat-error>This is required.</mat-error>
      <mat-hint>Your timer in seconds</mat-hint>
    </mat-form-field>
    <mat-form-field appearance="outline">
      <mat-label>Number of questions</mat-label>
      <mat-select placeholder="Pick one" formControlName="numberOfQuestions">
        <mat-option *ngFor="let number of numberOfQuestions" [value]="number">
          {{ number }}
        </mat-option>
      </mat-select>
      <mat-error>This is required.</mat-error>
      <mat-hint>How many questions you want</mat-hint>
    </mat-form-field>
    <button mat-raised-button color="primary">Start</button>
  </form>
</div>

<ng-template #dialogTemplate let-data>
  <h1>{{ data.title }}</h1>
  <p>{{ data.message }}</p>
  <button mat-button mat-dialog-close>OK</button>
</ng-template>
